package com.gic.haoban.manage.web.vo.content.statistics;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author MUSI
 * @Date 2023/3/23 12:58 PM
 * @Description
 * @Version
 **/
public class MaterialRealDataVO implements Serializable {
    /**
     * 素材使用导购数
     */
    private Integer useMatlClerkNum;

    /**
     * 未使用素材导购数
     */
    private Integer unusedMatlClerkNum;

    /**
     * 点击客户数
     */
    private Integer clickUserNum;

    /**
     * 使用次数
     */
    private Integer useMatluserCnt;

    /**
     * 转换客户数
     */
    private Integer convUserNum;

    /**
     * 客户转化金额
     */
    private BigDecimal convSalesAmt;



    /**
     * 线下转化客户数
     */
    private Integer offlineConvUserNum;

    /**
     * 线下转化金额
     */
    private BigDecimal offlineConvSalesAmt;


    /**
     * 总转化金额
     */
    private BigDecimal omniConvSalesAmt;

    /**
     * 总转化人数
     */
    private Integer omniConvUserNum;

    public Integer getUseMatlClerkNum() {
        return useMatlClerkNum;
    }

    public void setUseMatlClerkNum(Integer useMatlClerkNum) {
        this.useMatlClerkNum = useMatlClerkNum;
    }

    public Integer getUnusedMatlClerkNum() {
        return unusedMatlClerkNum;
    }

    public void setUnusedMatlClerkNum(Integer unusedMatlClerkNum) {
        this.unusedMatlClerkNum = unusedMatlClerkNum;
    }

    public Integer getClickUserNum() {
        return clickUserNum;
    }

    public void setClickUserNum(Integer clickUserNum) {
        this.clickUserNum = clickUserNum;
    }

    public Integer getUseMatluserCnt() {
        return useMatluserCnt;
    }

    public void setUseMatluserCnt(Integer useMatluserCnt) {
        this.useMatluserCnt = useMatluserCnt;
    }

    public Integer getConvUserNum() {
        return convUserNum;
    }

    public void setConvUserNum(Integer convUserNum) {
        this.convUserNum = convUserNum;
    }

    public BigDecimal getConvSalesAmt() {
        return convSalesAmt;
    }

    public void setConvSalesAmt(BigDecimal convSalesAmt) {
        this.convSalesAmt = convSalesAmt;
    }

    public Integer getOfflineConvUserNum() {
        return offlineConvUserNum;
    }

    public void setOfflineConvUserNum(Integer offlineConvUserNum) {
        this.offlineConvUserNum = offlineConvUserNum;
    }

    public BigDecimal getOfflineConvSalesAmt() {
        return offlineConvSalesAmt;
    }

    public void setOfflineConvSalesAmt(BigDecimal offlineConvSalesAmt) {
        this.offlineConvSalesAmt = offlineConvSalesAmt;
    }

    public BigDecimal getOmniConvSalesAmt() {
        return omniConvSalesAmt;
    }

    public void setOmniConvSalesAmt(BigDecimal omniConvSalesAmt) {
        this.omniConvSalesAmt = omniConvSalesAmt;
    }

    public Integer getOmniConvUserNum() {
        return omniConvUserNum;
    }

    public void setOmniConvUserNum(Integer omniConvUserNum) {
        this.omniConvUserNum = omniConvUserNum;
    }
}
